> For the complete documentation index, see [llms.txt](https://docs.abtasty.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.abtasty.com/commerce/catalog/reference/datasets-and-fields.md).

# Datasets and fields

AB Tasty Recos and Merch uses datasets and fields to define the data model and interact with.

The configuration of fields in datasets it's a step of process configuration of your AB Tasty R\&M site.

## Datasets

Datasets define types for variables in your AB Tasty R\&M site.&#x20;

There are three types of datasets : *Source*, *Required*, *Custom.*

* **Source datasets** : These datasets are automatically created for each integration you have. They’ll allow you to look into your datas directly from recos & merch and to check the different source fields.
* **Required datasets** : These datasets are automatically created (also according to your integrations) and cannot be deleted. You will unlock them once your done the integration for the according raw data. You can edit and preview its by creating and editing fields in those datasets.
  * *Item* : the dataset for the data model of your catalog. Settings-up with the catalog integration.&#x20;
  * *Pageview* : the dataset for pageviews events. Settings-up with the analytics integration
  * *Purchase* : the dataset for purchases events. Settings-up with the analytics integration
* **Custom datasets** : These datasets are created by you to define a new model of data. You can create, edit, preview and delete it. For example :
  * *User* : the dataset for user data model.&#x20;
  * *Category* : Used for merchandising strategies to deploy on categories of your CMS.&#x20;

## Fields

A field is used to interact with a source data to create a dataset column. Each field is linked to a dataset. It is used to change the source data through a Formula and set the result in a column of the dataset

There are three types of fields : Source, Calculated, Enriched.

* **Source field** : Fields retrieved from the integration that cannot be edited.
* **Calculated field** : Fields added and calculated using formulas that will be used in the platform and algorithms. They can be edited. A calculated field can define its formula with other calculated fields of the dataset and source fields of the source dataset linked to the dataset.&#x20;
* **Enriched field** : Fields calculated by AB Tasty that cannot be edited. An enriched field can be its formula with other enriched fields and calculated fields of the dataset.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.abtasty.com/commerce/catalog/reference/datasets-and-fields.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
